IARRAY_GET_MOVIE_FROM_MULTI(3)

FUNCTION
iarray_get_movie_from_multi - Get a movie from a Karma data structure.

SYNOPSIS
#include <karma_iarray.h>

flag iarray_get_movie_from_multi

(multi_array *multi_desc, iarray *pseudo, iarray *red, iarray *green, iarray *blue, unsigned int *cmap_index)

DESCRIPTION
This routine will find a movie embedded in a Karma data structure. The movie may be single-channel (PseudoColour) or it may be a TrueColour movie (red, green and blue components).

multi_desc
    The Karma data structure.

pseudo
    If a single-channel movie is found, the corresponding Intelligent Array is written here. If no single-channel movie is found, NULL is written here.

red If a TrueColour movie is found, the red component Intelligent Array is written here. If no TrueColour movie is found, NULL is written here.

green
    If a TrueColour movie is found, the green component Intelligent Array is written here. If no TrueColour movie is found, NULL is written here.

blue
    If a TrueColour movie is found, the blue component Intelligent Array is written here. If no TrueColour movie is found, NULL is written here.

cmap_index
    If the movie found is a single-channel movie and the data structure has an associated RGBcolourmap, the index to the colourmap structure is written here. If no colourmap is found, the value written here is set to the number of general data structures in multi_desc.

RETURN VALUE
TRUE on succes, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/